
data:extend({
    {
    type = "beam",
    name = "laser-beam-turret",
    flags = {"not-on-map"},
    width = 0.5,
    damage_interval = 1,
    light = {intensity = 0.5, size = 10},
    working_sound =
    {
        {
          filename = "__base__/sound/fight/electric-beam.ogg",
          volume = 1
        }

    },
    action =
    {
        type = "direct",
        action_delivery =
        {
            type = "instant",
            target_effects =
            {
                {
                    type = "damage",
                    damage = { amount = 400, type = "laser"}
                }
            }
        }
    },
    head =
    {
      filename = "__Beam_Bug__/beam-head-A00.png",
      line_length = 1,
      width = 45,
      height = 33,
      frame_count = 1,
      animation_speed = 20/60,
      blend_mode = beam_blend_mode,
    },
    tail =
    {
      filename = "__Beam_Bug__/beam-tail-A00.png",
      line_length = 1,
      width = 45,
      height = 33,
      frame_count = 1,
      blend_mode = beam_blend_mode,
    },
    body =
    {
      {
        filename = "__Beam_Bug__/beam-body-A00.png",
        line_length = 1,
        width = 45,
        height = 33,
        frame_count = 1,
        blend_mode = beam_blend_mode,
      },
    }
}
})

data.raw["electric-turret"]["laser-turret"].attack_parameters =
{
type = "beam",
ammo_category = "electric",
cooldown = 60,
--projectile_center = {0, 0},
--projectile_creation_distance = 0,
range = 17,
damage_modifier = 1/60,
sound =
{
    {
      filename = "__base__/sound/fight/laser-1.ogg",
      volume = 1
    }

},
ammo_type =
{
    category = "laser-turret",
    energy_consumption = "800kJ",
    action =
    {
        type = "direct",
        action_delivery =
        {
            type = "beam",
            beam = "laser-beam-turret",
            max_length = 20,
            duration = 61,
            source_offset = {0, -1.3},
        }
    }
}
}
